Page MenuHomePhabricator

Visiting non existent banners shouldn't result in an exception
Closed, ResolvedPublic

Description

https://meta.wikimedia.org/wiki/Special:CentralNoticeBanners/edit/2009_EM1Notice_b

2013-09-16 19:40:47 mw1161 metawiki: [e62cf2b2] /wiki/Special:CentralNoticeBanners/edit/2009_EM1Notice_b Exception from line 1272 of /usr/local/apache/common-local/php-1.22wmf17/extensions/CentralNotice/includes/Banner.php: Banner doesn't exist!
#0 /usr/local/apache/common-local/php-1.22wmf17/extensions/CentralNotice/special/SpecialCentralNoticeBanners.php(347): Banner::getBannerSettings('2009_EM1Notice_...', true)
#1 /usr/local/apache/common-local/php-1.22wmf17/extensions/CentralNotice/special/SpecialCentralNoticeBanners.php(312): SpecialCentralNoticeBanners->generateBannerEditForm('2009_EM1Notice_...')
#2 /usr/local/apache/common-local/php-1.22wmf17/extensions/CentralNotice/special/SpecialCentralNoticeBanners.php(75): SpecialCentralNoticeBanners->showBannerEditor()
#3 /usr/local/apache/common-local/php-1.22wmf17/includes/SpecialPage.php(631): SpecialCentralNoticeBanners->execute('edit/2009_EM1No...')
#4 /usr/local/apache/common-local/php-1.22wmf17/includes/SpecialPageFactory.php(489): SpecialPage->run('edit/2009_EM1No...')
#5 /usr/local/apache/common-local/php-1.22wmf17/includes/Wiki.php(291): SpecialPageFactory::executePath(Object(Title), Object(RequestContext))
#6 /usr/local/apache/common-local/php-1.22wmf17/includes/Wiki.php(590): MediaWiki->performRequest()
#7 /usr/local/apache/common-local/php-1.22wmf17/includes/Wiki.php(459): MediaWiki->main()
#8 /usr/local/apache/common-local/php-1.22wmf17/index.php(55): MediaWiki->run()
#9 /usr/local/apache/common-local/w/index.php(3): require('/usr/local/apac...')
#10 {main}


Version: master
Severity: normal

Details

Reference
bz54180

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:51 AM
bzimport set Reference to bz54180.
Reedy created this task.Sep 16 2013, 7:41 PM
  • Bug 70213 has been marked as a duplicate of this bug. ***

As suggested on bug 70213 the user should see a more friendly message similar to [[MediaWiki:Noarticletext]]

Change 157484 had a related patch set uploaded by Ori.livneh:
Show a friendly error page when requested banner does not exist

https://gerrit.wikimedia.org/r/157484

Change 157484 merged by jenkins-bot:
Show a friendly error page when requested banner does not exist

https://gerrit.wikimedia.org/r/157484

(In reply to Gerrit Notification Bot from comment #4)

Change 157484 merged by jenkins-bot:
Show a friendly error page when requested banner does not exist
https://gerrit.wikimedia.org/r/157484

This doesn't work and results in an error still.

I'll try to take a look.

Change 173323 had a related patch set uploaded by Glaisher:
Show a friendly error page when requested banner does not exist

https://gerrit.wikimedia.org/r/173323

Change 173323 merged by jenkins-bot:
Show a friendly error page when requested banner does not exist

https://gerrit.wikimedia.org/r/173323